Subject: Re: [PATCH 0/7] Rewrite `git_config()` using config-set API

From: Tanay Abhra <[email-masked]>
Date: Thu, 24 Jul 2014 21:29:18 +0530

On 7/24/2014 9:09 PM, Matthieu Moy wrote:
> Tanay Abhra <[email-masked]> writes:
> 
>> I am attaching the v12 with two new functions git_configset_get_string() &
>> git_configset_get_string_const().
> 
> Didn't you intend to change git_config_get_string to let it die in case
> of error instead of returning an error code?
>

Yup, but it is the part of the new series not the old one.
I sent this revised patch just for solving the constness
debate.
Also, I would need git_die_config() to print a proper
error message which comes in the 7 part series not this one.